--- include/class.status.php	2009-01-12 23:15:12.078747298 +0200
+++ /usr/share/eventum/include/class.status.php	2009-02-05 02:03:28.894056716 +0200
@@ -29,7 +29,6 @@
 // @(#) $Id: class.status.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
 
 /**
  * Class to handle all business logic related to the way statuses
@@ -62,7 +61,7 @@
                  WHERE
                     psd_prj_id=" . Misc::escapeInteger($prj_id) . " AND
                     psd_sta_id IN (" . implode(', ', Misc::escapeInteger($sta_ids)) . ")";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -87,7 +86,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_status_date
                  WHERE
                     psd_id=" . Misc::escapeInteger($psd_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -111,7 +110,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_status_date
                  WHERE
                     psd_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -143,7 +142,7 @@
                     psd_label='" . Misc::escapeString($label) . "'
                  WHERE
                     psd_id=" . Misc::escapeInteger($psd_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -178,7 +177,7 @@
                     '" . Misc::escapeString($date_field) . "',
                     '" . Misc::escapeString($label) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -213,7 +212,7 @@
                     sta_id=psd_sta_id
                  ORDER BY
                     prj_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -242,7 +241,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
                     sta_id=" . Misc::escapeInteger($sta_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -282,7 +281,7 @@
                     '" . Misc::escapeString($_POST['color']) . "',
                     " . Misc::escapeInteger($_POST['is_closed']) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -318,7 +317,7 @@
                     sta_is_closed=" . Misc::escapeInteger($_POST['is_closed']) . "
                  WHERE
                     sta_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -345,7 +344,7 @@
                          WHERE
                             iss_sta_id=" . Misc::escapeInteger($_POST['id']) . " AND
                             iss_prj_id IN (" . implode(', ', $removed_projects) . ")";
-                $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                $res = Db_Helper::getInstance()->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 }
@@ -368,7 +367,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
                     sta_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -381,7 +380,7 @@
                         iss_sta_id=0
                      WHERE
                         iss_sta_id IN ($items)";
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
             return true;
         }
     }
@@ -406,7 +405,7 @@
                     " . Misc::escapeInteger($sta_id) . ",
                     " . Misc::escapeInteger($prj_id) . "
                  )";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -432,7 +431,7 @@
         if ($prj_id) {
             $stmt .= " AND prs_prj_id=" . Misc::escapeInteger($prj_id);
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -457,7 +456,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
                     sta_id=" . Misc::escapeInteger($sta_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -484,7 +483,7 @@
                  ORDER BY
                     sta_rank ASC,
                     sta_title";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -517,7 +516,7 @@
                  WHERE
                     prj_id=prs_prj_id AND
                     prs_sta_id=" . Misc::escapeInteger($sta_id);
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -548,7 +547,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
                     sta_title='" . Misc::escapeString($sta_title) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -574,7 +573,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  WHERE
                     sta_id=" . Misc::escapeInteger($sta_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -610,7 +609,7 @@
                     sta_is_closed=1
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -650,7 +649,7 @@
         $stmt .= "
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -690,7 +689,7 @@
         $stmt .= "
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -716,7 +715,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -749,7 +748,7 @@
                     sta_is_closed=1
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -774,7 +773,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "status
                  ORDER BY
                     sta_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
